Skip to content
Fulfillment & ShippingMethods

Create shipping method

Creates a shipping or pickup method with its price, eligibility limits, schedule, provider connection, and checkout visibility.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/shipping/methods" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "baseLanguage": "Envío estándar",    "translations": {      "key": {        "displayName": "Envío estándar"      }    },    "name": "Envío estándar",    "displayName": "Envío estándar",    "type": "regular",    "basePrice": 89,    "currency": "PEN",    "estimatedDeliveryDays": 30  }'
{  "id": "7204558912004321806"}